commit 18dedd394149a835f6f90602af7c56cdc9482a10
Author: freddy77 <freddy77>
Date:   Tue Feb 5 09:46:33 2008 +0000

    deal with SQLWCHAR type

diff --git a/src/odbc/sqlwchar.c b/src/odbc/sqlwchar.c
new file mode 100644
index 0000000..61eb5a7
--- /dev/null
+++ b/src/odbc/sqlwchar.c
@@ -0,0 +1,40 @@
+/* FreeTDS - Library of routines accessing Sybase and Microsoft databases
+ * Copyright (C) 2008  Ziglio Frediano
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Library General Public License for more details.
+ *
+ * You should have received a copy of the GNU Library General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+
+#if HAVE_CONFIG_H
+#include <config.h>
+#endif /* HAVE_CONFIG_H */
+
+#include <stdarg.h>
+#include <stdio.h>
+
+#include "tdsodbc.h"
+
+TDS_RCSID(var, "$Id: sqlwchar.c,v 1.1 2008/02/05 09:46:33 freddy77 Exp $");
+
+#if SIZEOF_SQLWCHAR != SIZEOF_WCHAR_T
+size_t sqlwcslen(const SQLWCHAR * s)
+{
+	size_t res = 0;
+	while (*s)
+		++s, ++res;
+	return res;
+}
+#endif
+

